> ## Documentation Index
> Fetch the complete documentation index at: https://docs.halth.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete v1members calendarsgoogle



## OpenAPI

````yaml https://api.halth.com/v1/api-yaml delete /v1/members/{memberId}/calendars/google
openapi: 3.0.0
info:
  title: HaltH API
  description: The API for the HaltH platform business services
  version: 1.0.0
  contact: {}
servers:
  - url: https://api.halth.com
    description: Production
  - url: https://api.stg.halth.com
    description: Staging
security: []
tags: []
paths:
  /v1/members/{memberId}/calendars/google:
    delete:
      tags:
        - CalendarIntegration
      operationId: CalendarIntegrationController_delete
      parameters:
        - name: memberId
          required: true
          in: path
          schema:
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/ApiResponse'
                  - properties:
                      items:
                        type: array
                        items:
                          $ref: '#/components/schemas/CalendarIntegration'
                      page:
                        type: number
                        example: 1
                      limit:
                        type: number
                        example: 10
                      totalItems:
                        type: number
                        example: 100
                      totalPages:
                        type: number
                        example: 10
components:
  schemas:
    ApiResponse:
      type: object
      properties: {}
    CalendarIntegration:
      type: object
      properties:
        id:
          type: string
        type:
          type: string
          enum:
            - google-calendar
        createdAt:
          format: date-time
          type: string
        memberId:
          type: string
        calendarId:
          type: string
        syncing:
          type: boolean
        deleted:
          type: boolean
      required:
        - id
        - type
        - createdAt
        - memberId
        - calendarId
        - syncing
        - deleted

````